MSP Gas Metering Library

- Main Page
- Introduction
- Usage
- Modules
- Data Structures
- Disclaimer

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
GASMETERING_Measurement_Configuration Struct Reference

This structure allows the user to configure firing and capture setting. More...

`#include <gasMeteringLib.h>`

## Data Fields
uint8_t * | pTxPattern
int16_t | txPatternSize
| Specifies the TX pattern size.
int16_t * | pBinTxPattern
int16_t | binTxPatternsize
| Size of binary representation of the TX pattern.
uint16_t | gapPlsSrtandADCCap_usec
uint8_t | numOfPulses
uint16_t | gapUPSandDNS_usec
uint16_t | gapDNSandUPS_msec
bool | isGainControlEnabled
GASMETERING_ADC_Sampling_Freq | adcSamplingFreq
GASMETERING_Signal_Sampling_frequency | signalSampFreq
uint16_t | captureDuration_usec
bool | isDummyFiringEnabled
uint16_t | gapAMPandSampFirstCapture_usec
uint16_t | gapAMPandRestOfCapture_usec
uint16_t | minGapAMPandSampFirstCapture_usec
GASMETERING_TX_line_state_after_firing | txLineState
| Specifies state of TX line after transmission.

## Detailed Description

This structure allows the user to configure firing and capture setting.

## Field Documentation

uint16_t GASMETERING_Measurement_Configuration::captureDuration_usec

For GASMETERING_ADC_Signal_Sampling_frequency_800_KHz and GASMETERING_ADC_Signal_Sampling_frequency_1000_KHz valid range is [100,700]. For GASMETERING_ADC_Signal_Sampling_frequency_2000_KHz valid range is [50,350].

uint16_t GASMETERING_Measurement_Configuration::gapAMPandRestOfCapture_usec

Specifies the gap between turning on Gain amplifier and starting the subsequent ADC Capture Minimum value: 1 Maximum value: gapPlsSrtandADCCap_usec

uint16_t GASMETERING_Measurement_Configuration::gapAMPandSampFirstCapture_usec

Specifies the gap between turning on Gain amplifier and starting the first ADC Capture Minimum value: 1 Maximum value: (gapAMPandSampFirstCapture_usec + minGapAMPandSampFirstCapture_usec) < gapPlsSrtandADCCap_usec

uint16_t GASMETERING_Measurement_Configuration::gapDNSandUPS_msec

Specifies the gap between Down stream and Up stream in msec Minimum value: 8 Maximum value: 2000

uint16_t GASMETERING_Measurement_Configuration::gapPlsSrtandADCCap_usec

Specifies the gap between pulse start and ADC Capture. Minimum value: 150 usec Maximum value: 600 usec

uint16_t GASMETERING_Measurement_Configuration::gapUPSandDNS_usec

Specifies the gap between Up stream abd Down stream in usec Minimum value: gapPlsStrtAndADCCap_usec + captureDuration_usec + 25 usec Maximum value: 8000

bool GASMETERING_Measurement_Configuration::isDummyFiringEnabled

Enable this option to increase SNR, enabling this option will perform an extra firing and capture which will increase power consumption

bool GASMETERING_Measurement_Configuration::isGainControlEnabled

Controls Gain Control line on AFE booster pack true: will enable gain control during firing/capture false: will disable gain control during firing/capture

uint16_t GASMETERING_Measurement_Configuration::minGapAMPandSampFirstCapture_usec

Specifies the minimum Gap between turning on Gain amplifier and starting the first ADC Capture Minimum value: 1 Maximum value: 200

uint8_t GASMETERING_Measurement_Configuration::numOfPulses

Specifies the number of pulses used in the TX pattern Minimum value: 20 Maximum value: 40

int16_t* GASMETERING_Measurement_Configuration::pBinTxPattern

Pointer to the binary representation of the TX pattern used to excite the ultrasonic transducers

uint8_t* GASMETERING_Measurement_Configuration::pTxPattern

Pointer to the TX pattern used to excite the ultrasonic transducers

The documentation for this struct was generated from the following file:

- gasMeteringLib.h